Bug 810242 - kernel update doesn't modify /etc/grub2.cfg to boot the new kernel by default
kernel update doesn't modify /etc/grub2.cfg to boot the new kernel by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 08:58 EDT by Vratislav Podzimek
Modified: 2013-02-13 16:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:16:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vratislav Podzimek 2012-04-05 08:58:28 EDT
Description of problem:
When I update the kernel (by 'yum update') and reboot the system, the system is booted with the old kernel. The reason is, that the 'set default=' line of the /etc/grub2.cfg is modified in a bad way.

Version-Release number of selected component (if applicable):
all versions of F16 kernels

How reproducible:
100%

Steps to Reproduce:
1. run 'yum update kernel'
2. reboot the system
  
Actual results:
the old kernel booted

Expected results:
the new kernel booted

Additional info:
I hope this behaviour is not intended.
Comment 1 Josh Boyer 2012-04-05 09:51:55 EDT
The kernel just calls new-kernel-pkg, which is provided by grubby.  That does all the updating of the grub configuration files.
Comment 2 Fedora End Of Life 2013-01-16 11:59:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 16:16:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.